#if !defined(AFX_AUTODETECTDLG_H__12250FD1_E87C_4067_A60A_A7C0573C88CD__INCLUDED_)
#define AFX_AUTODETECTDLG_H__12250FD1_E87C_4067_A60A_A7C0573C88CD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AutoDetectDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAutoDetectDlg dialog

#include "Controller.h"
#include "DataStructures.h"

class CAutoDetectDlg : public CDialog
{
// Construction
public:
	CAutoDetectDlg(Controller* controller, const Settings* set_data, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CAutoDetectDlg)
	enum { IDD = IDD_AUTODETECT_DIALOG };
	CEdit	m_degree_control;
	CButton	m_check_vertical_control;
	CButton	m_detect_on_load_control;
	CEdit	m_length_control;
	CButton	m_check_length_control;
	CButton	m_check_diameter_control;
	CEdit	m_diameter_control;
	float	m_degree_value;
	BOOL	m_check_diameter;
	float	m_diameter_value;
	BOOL	m_check_length;
	float	m_length_value;
	BOOL	m_detect_on_load;
	BOOL	m_check_vertical;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAutoDetectDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAutoDetectDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
  Controller& m_controller;
  const Settings& m_set_data;
  
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AUTODETECTDLG_H__12250FD1_E87C_4067_A60A_A7C0573C88CD__INCLUDED_)
